Summary: 	Extensible Python source code checker
Name:		pylint
Version:	1.7.2
Release:	1
Source0:	%{name}-%{version}.tar.gz
Patch0:		0001-Add-upstream-patch-for-epylint-981859.patch
License:	GPLv2+
Group:		Development/Python
Url:		http://www.logilab.org/project/pylint

BuildArch:	noarch
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pythonegg(singledispatch)
BuildRequires:	pythonegg(astroid)
BuildRequires:	pkgconfig(python)

Requires:	pythonegg(logilab-common) >= 0.53.0
Requires:	pythonegg(logilab-astng)
Requires:	tkinter

%description
PyLint is an extensible tool for checking whether Python
code satisfies a specified coding standard. It is similar to PyChecker
insofar that it can perform nearly all tests supported by
PyChecker. Pylint, however, can check many other things such as
line-code length, variable name adherence to a coding standard,
whether interfaces defined in code are actually implemented, and much
more. One can easily extend PyLint with plugins.

%files
%doc COPYING ChangeLog doc/ examples/ elisp
%{_bindir}/*
%{py_puresitedir}/pylint*
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/pylintrc
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/pylint.el

#----------------------------------------------------------------

%prep
%setup -q -n %{name}-%{name}-%{version}

%build
python setup.py build

%install
python setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{py_puresitedir}/pylint/test

mkdir -pm 755 %{buildroot}%{_mandir}/man1
install -pm 644 man/*.1 %{buildroot}%{_mandir}/man1/

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 ./examples/pylintrc %{buildroot}%{_sysconfdir}

install -d -m 755 %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -m 644 ./elisp/pylint.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/


chmod +x %{buildroot}%{py_puresitedir}/pylint/__main__.py

#%check
#python setup.py test

%changelog

* Thu Aug 31 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.7.2-1
- (9f7d8bb) Updated to 1.7.2


